repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.3.0
    hooks:
      - id: check-case-conflict
      - id: check-json
      - id: check-shebang-scripts-are-executable
      - id: check-symlinks
      - id: check-yaml
        exclude: ^chart/templates/|chart/disabled/|helmfile.yaml
      - id: end-of-file-fixer
      - id: mixed-line-ending
      - id: trailing-whitespace
  - repo: https://github.com/gruntwork-io/pre-commit
    rev: v0.1.17
    hooks:
      - id: helmlint
      - id: shellcheck
